Creates a new contact object
Request Information
URI Parameters :
None.
Body Parameters :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "65d24232-7aea-4124-90e7-514fd9752e08",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "79769b1a-5d02-44e4-afcd-4ea688f58ae8",
"company_code": "sample string 5",
"company": {
"id": "ccff63c0-6224-44c6-9f57-d3cbc9156d47",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-04-08T23:31:03.3889178+00:00",
"sales_territory_id": "5e7696ac-fbf6-4a68-9e1b-f8fbc0fba436",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "85cc2205-c63f-46ee-9aac-7e8c7207d7f8",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "83c65613-414d-48a8-a788-db3758126ce7",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "2bd0c05d-bd3c-4015-8bc1-468792e64f9d",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "e9d6993e-f7d2-4f51-b450-4416ee5a6f85",
"db_currency_id": "9348e118-324c-4885-aa8a-76f6d13aed57",
"db_language_id": "41e0a548-b189-4b02-91a7-1afc9b326bbd",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-04-08T23:31:03.3889178+00:00"
},
"modified_dateutc": "2026-04-08T23:31:03.3889178+00:00"
},
"marketing_segment_id": "7c25259c-dbdd-46a3-bc4a-298c57fcfade",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "47da3b5e-7d82-4aad-b09f-b6fda3c471ff",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "d881234a-eb41-43f6-afac-7630a56a0465",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "850f6ff3-f887-4d5d-b23e-8fbb981063c9",
"db_country_code": "sample string 28",
"feelist_id": "54355fdd-8193-41f9-96d3-618814f4e9d0",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "0dddbe4d-1cb4-4d1b-ab95-c678dffc7ee2",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "1b9332ce-e05d-46e5-af35-b77283aec00e",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-04-08T23:31:03.3889178+00:00",
"db_currency_id": "99f003c4-a3b0-4dec-85f5-be550cc3e4ae",
"db_currency_code": "sample string 10"
},
"company_type_id": "7a16efca-e0bb-476d-945e-ac22c227647b",
"company_type_name": "sample string 32",
"company_type": {
"id": "ce17bef2-1a50-4966-9f69-2125e4a86295",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "d1d1c4c4-2e25-4b4f-b971-8c023a37f218",
"sales_organization_code": "sample string 5"
},
"db_language_id": "175449c0-f4e5-449a-838c-c2c3bdf25a6d",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "e4a53849-056c-4535-a5e0-f832d28e39cf",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "59f85bea-0880-4a0c-a303-0c15aeedefd3",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "3a2471b9-2ea8-445c-b30c-e5632f6d7060",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-04-08T23:31:03.3889178+00:00"
},
"company_sector_id": "1c0c09b3-dbbb-4019-bcd2-382d96c1b189",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "728560dd-da3a-41b0-92bc-63fa0049ab8f",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "0479a7ad-976f-48f0-82d5-dd04d2d7b224",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "fe0b2765-c81b-401a-a012-e85e1e523176",
"account_manager_user_code": "sample string 56",
"company_status_id": "ac47acf8-1d96-45b9-8f12-5a029e287d11",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-04-08T23:31:03.3889178+00:00",
"id2": 60
},
"db_language_id": "9b2b037b-b88c-4efa-bca5-0ace3e8ff0c3",
"db_language_code": "sample string 7",
"db_title_id": "c38cebeb-b9c9-44a8-b674-8ba0eb1d0830",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-04-08T23:31:03.3889178+00:00",
"create_date": "2026-04-08T23:31:03.3889178+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-04-08T23:31:03.3889178+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.